Groundeddocs
ReferenceAdmin

Tell a source's team owners about its documents of one reason (platform admins)

POST/v1/admin/parsing/document-problems/notify

"Notify owners" on Admin, Parsing & OCR: the team's owners get the notification source.documents_attention (in the app and by email; it can't be turned off) with the count, the oldest date and a link to the source's documents filtered to Failed or Needs OCR. No document names. 409 no_team for a shared source, 409 no_documents when there is nothing to report. Audited as platform.document_owners_notify.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/parsing/document-problems/notify" \  -H "Content-Type: application/json" \  -d '{    "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",    "reason": "needs_ocr"  }'
{  "data": {    "owners": 0,    "documents": 0  }}